<?php
/**
 * The template for displaying all pages.
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site will use a
 * different template.
 *
 * @package Serpentsoft
 * @subpackage Adams_News 1.0
 * @since Adams News 1.0
 */

get_header(); ?>

<!-- main content -->
<article itemscope itemtype="http://schema.org/Article" role="main" <?php post_class("article-container"); ?>>
    <div class="row-fluid">

        <?php $get_meta = get_post_custom($post->ID); ?>

        <?php while (have_posts()) : the_post(); ?>

            <div class="article-content">
                <header>
                    <?php serpentsoft_single_breadcrumb(); ?>

                    <div class="figure-container"><?php serpentsoft_post_banner_show(); ?></div>

                    <h1 itemprop="headline"><?php the_title(); ?></h1>

                    <?php serpentsoft_single_meta_info(); ?>

                </header>

                <span class="clearfix"></span>

                <div class="post-entry" itemprop="articleBody">
                    <?php if (isset($get_meta['serpentsoft_post_review_types'][0]) && $get_meta['serpentsoft_post_review_types'][0] != 'disabled') {
                        switch ($get_meta['serpentsoft_post_review_position'][0]) {
                            case 'top': {
                                    serpentsoft_post_reviews();
                                    the_content();
                                }
                                break;

                            case 'bottom': {
                                    the_content();
                                    serpentsoft_post_reviews();
                                }
                                break;

                            /* case 'topbottom': {
                                    serpentsoft_post_reviews();
                                    the_content();
                                    serpentsoft_post_reviews();
                                }
                                break; */

                            default:
                                the_content();
                                break;
                        }
                    } else {
                        the_content();
                    } ?>

                </div>

                <div class="clearfix"></div>

            <?php serpentsoft_post_social_share_buttons(); ?>

            </div>

            <?php endwhile; // end of the loop.  ?>

        <!-- Article Footer Start from author bio to comments box  -->
        <footer>

        <?php while (have_posts()) : the_post();

        //Post Tags
        serpentsoft_single_tags_box(); 

        //Author Biography
        serpentsoft_single_author_bio();

        endwhile; // end of the loop.

        //Related Posts
        serpentsoft_single_related_posts();
        wp_reset_query();

        while (have_posts()) : the_post();
            //Posts Navigator
            serpentsoft_single_navigation();
        endwhile;

        wp_reset_postdata();

        //Members Comments
        serpentsoft_comments_box(); ?>
            
        </footer>
    </div>
</article>

<!-- Closing Span6 Main Content -->       

<?php get_footer(); ?>